Show / Hide Table of Contents

# Class TitleScreenMenu.TitleScreenMenuEntry

Class representing an entry in the title screen menu.

##### Inheritance

System.Object
TitleScreenMenu.TitleScreenMenuEntry

##### Implements

System.IComparable<TitleScreenMenu.TitleScreenMenuEntry>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface

###### Assembly: Dalamud.dll

##### Syntax

    public class TitleScreenMenuEntry : IComparable<TitleScreenMenu.TitleScreenMenuEntry>

### Properties

| Improve this Doc View Source

#### Name

Gets or sets the name of this entry.

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Priority

Gets the priority of this entry.

##### Declaration

    public ulong Priority { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Texture

Gets or sets the texture of this entry.

##### Declaration

    public TextureWrap Texture { get; set; }

##### Property Value

Type | Description
--- | ---
TextureWrap |

### Methods

| Improve this Doc View Source

#### CompareTo(TitleScreenMenu.TitleScreenMenuEntry)

##### Declaration

    public int CompareTo(TitleScreenMenu.TitleScreenMenuEntry other)

##### Parameters

Type | Name | Description
--- | --- | ---
TitleScreenMenu.TitleScreenMenuEntry | other |

##### Returns

Type | Description
--- | ---
System.Int32 |

### Implements

System.IComparable<T>